# Class AuditEvent

java.lang.Object
org.apache.zookeeper.audit.AuditEvent

public final class AuditEvent extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`AuditEvent.FieldName`
`static enum`
`AuditEvent.Result`

## Method Summary

Modifier and Type
Method
Description
`Set<Map.Entry<String,String>>`
`getLogEntries()`
Gives all entries to be logged.
`AuditEvent.Result`
`getResult()`
`String`
`getValue(AuditEvent.FieldName fieldName)`
`String`
`toString()`
Gives the string to be logged, ignores fields with null values

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getLogEntries

public Set<Map.Entry<String,String>> getLogEntries()
Gives all entries to be logged.

Returns:
  log entries

### getValue

public String getValue(AuditEvent.FieldName fieldName)

### getResult

public AuditEvent.Result getResult()

### toString

public String toString()
Gives the string to be logged, ignores fields with null values

Overrides:
  `toString` in class `Object`
Returns:
  String